Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1556111 - pgadmin3: FTBFS in F28
Summary: pgadmin3: FTBFS in F28
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pgadmin3
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Devrim Gündüz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 23:15 UTC by Fedora Release Engineering
Modified: 2023-09-14 04:23 UTC (History)
3 users (show)

Fixed In Version: pgadmin3-1.22.2-8.fc27 pgadmin3-1.22.2-8.fc28 pgadmin3-1.22.2-8.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-06 13:16:21 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-05-28 21:55 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2018-05-28 21:55 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2018-05-28 21:55 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2018-03-14 23:15:01 UTC
Your package pgadmin3 failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24861398

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Fedora Release Engineering 2018-05-28 21:55:22 UTC
Created attachment 1444007 [details]
build.log

Comment 2 Fedora Release Engineering 2018-05-28 21:55:28 UTC
Created attachment 1444008 [details]
root.log

Comment 3 Fedora Release Engineering 2018-05-28 21:55:31 UTC
Created attachment 1444009 [details]
state.log

Comment 4 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:23:41 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 5 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:24:18 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 6 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:25:35 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to acknowledge this. Following the latest policy for such packages [2], your package will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 7 Stuart D Gathman 2018-09-08 15:16:43 UTC
Since pgadmin4 is not available yet, I'll try to get this to build.

Comment 8 Scott Talbert 2018-11-06 01:46:27 UTC
(In reply to Stuart D Gathman from comment #7)
> Since pgadmin4 is not available yet, I'll try to get this to build.

Can you please either fix this or retire this package?  There is an open pull request that fixes the FTBFS:
https://src.fedoraproject.org/rpms/pgadmin3/pull-request/1

Comment 9 Stuart D Gathman 2018-11-06 03:16:43 UTC
Hmm.  Why didn't I get notified of the pull request?  I've been wasting time studying the problem.  I'll merge and test right now.

Comment 10 Stuart D Gathman 2018-11-06 03:32:40 UTC
Well, not much duplication of effort.  The big question is, will it build now?  I might need to make PG10 support optional.

Comment 11 Stuart D Gathman 2018-11-06 03:58:13 UTC
Well, kwlist.h is missing.  I don't see it in previous versions.  I guess I need to find when keywords.c started trying to include it.

Comment 12 Scott Talbert 2018-11-06 04:27:53 UTC
(In reply to Stuart D Gathman from comment #11)
> Well, kwlist.h is missing.  I don't see it in previous versions.  I guess I
> need to find when keywords.c started trying to include it.

https://src.fedoraproject.org/rpms/pgadmin3/pull-request/2

Builds in Rawhide with that.

Comment 13 Stuart D Gathman 2018-11-06 05:49:20 UTC
Still builds with the other fixes.  Now to build on f29 and f28 and test.  It is after midnight here, so in the morning.

Comment 14 Fedora Update System 2018-11-06 13:04:32 UTC
pgadmin3-1.22.2-8.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7840f2da61

Comment 15 Fedora Update System 2018-11-06 13:04:42 UTC
pgadmin3-1.22.2-8.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1d31912c46

Comment 16 Fedora Update System 2018-11-06 13:04:51 UTC
pgadmin3-1.22.2-8.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0fbaf250ef

Comment 17 Stuart D Gathman 2018-11-06 13:15:44 UTC
I did receive a notification for the pull request back in September.  It got confused with political spam and moved to my politics folder...  Sorry about that.  I've tested F28 with a local build.  I'll test the official build on F29 as soon as it hits updates.

Comment 18 Fedora Update System 2018-11-07 03:47:56 UTC
pgadmin3-1.22.2-8.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0fbaf250ef

Comment 19 Fedora Update System 2018-11-07 04:13:37 UTC
pgadmin3-1.22.2-8.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1d31912c46

Comment 20 Fedora Update System 2018-11-07 04:25:03 UTC
pgadmin3-1.22.2-8.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7840f2da61

Comment 21 Fedora Update System 2018-11-15 02:13:24 UTC
pgadmin3-1.22.2-8.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2018-11-15 02:29:47 UTC
pgadmin3-1.22.2-8.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2018-11-15 03:14:46 UTC
pgadmin3-1.22.2-8.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Red Hat Bugzilla 2023-09-14 04:23:47 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days


Note You need to log in before you can comment on or make changes to this bug.